Name:           holotz-castle
Version:        1.3.14
Release:        %mkrel 7
Summary:        A platform game with high doses of mistery
Group:          Games/Arcade
License:        GPLv2
URL:            https://packages.debian.org/sid/games/holotz-castle
# Repacked from https://ftp.debian.org/debian/pool/main/h/holotz-castle/holotz-castle_1.3.14.orig.tar.gz
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-32.png
Patch0:         holotz-castle-1.3.14-deb-spelling.patch
Patch1:         holotz-castle-1.3.14-deb-code-fixes.patch
Patch2:         holotz-castle-1.3.14-mga-makefiles.patch
Patch3:         holotz-castle-1.3.14-linking.patch
Patch4:         holotz-castle-1.3.4-deb-gcc11.patch

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
Requires:       %{name}-data >= %{version}-%{release}

%description
A great mystery is hidden beyond the walls of Holotz's Castle. Will
you be able to help Ybelle and Ludar to escape alive from the castle?
Test your dexterity with this tremendously exciting platform game!

%files
%doc doc/MANUAL_*.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-editor
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}-editor.6*

#----------------------------------------------------------------------

%package data
Summary:        Data files for the Holotz's Castle game
BuildArch:      noarch

%description data
This package contains data files for the Holotz's Castle game.

Included are the milanb and holotz-castle maps.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
# Parallel build does not work
make MGA_CFLAGS="%{optflags} -Wno-error=format-overflow -Wno-error=uninitialized -Wno-error=format-truncation -Wno-error=stringop-truncation" MGA_LDFLAGS="%{ldflags}"

%install
%make_install

install -d %{buildroot}%{_mandir}/man6
install -m644 man/%{name}*.6 %{buildroot}%{_mandir}/man6

install -D -m644 %{_sourcedir}/%{name}-32.png \
        %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Holotz's Castle
GenericName=Platformer game
Comment=A platform game with high doses of mistery
Icon=%{name}
Exec=%{name}
Terminal=false
Type=Application
Categories=Game;ActionGame;
EOF


%changelog
* Wed Jul 20 2022 papoteur <papoteur> 1.3.14-7.mga9
+ Revision: 1869581
- fix build with GCC 12, in sync with Debian
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Mar 27 2020 umeabot <umeabot> 1.3.14-5.mga8
+ Revision: 1561010
- Mageia 8 Mass Rebuild

* Tue Sep 25 2018 umeabot <umeabot> 1.3.14-4.mga7
+ Revision: 1305143
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.3.14-3.mga7
+ Revision: 1238572
- fix build with gcc7
- fix linker flags order and add a patch to fix linking

* Tue Feb 09 2016 umeabot <umeabot> 1.3.14-3.mga6
+ Revision: 952136
- Mageia 6 Mass Rebuild

* Fri Jan 16 2015 akien <akien> 1.3.14-2.mga5
+ Revision: 810896
- Use Debian package page as upstream URL

* Thu Jan 15 2015 akien <akien> 1.3.14-1.mga5
+ Revision: 810850
- imported package holotz-castle

